Page MenuHomePhabricator

Port Kafka alerts from check_graphite to check_prometheus
Closed, ResolvedPublic8 Estimated Story Points

Description

This will allow us to fully move Kafka monitoring from Graphite to Prometheus.

Alerts are in:

  • confluent::kafka::broker::alerts
  • eventlogging::monitoring::graphite
  • role::graphite::alerts (monitoring::graphite_anomaly { 'kafka-analytics-eqiad-broker-MessagesIn-anomaly)

Event Timeline

Ottomata created this task.Sep 14 2017, 2:55 PM

Change 381489 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] [WIP] Prometheus based Kafka broker alerts, take 1

https://gerrit.wikimedia.org/r/381489

Ottomata claimed this task.Sep 29 2017, 7:49 PM
Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 381489 merged by Ottomata:
[operations/puppet@production] Prometheus based Kafka broker alerts, take 1

https://gerrit.wikimedia.org/r/381489

Change 381955 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] profile::kafka::broker::monitoring: attempt to fix prometheus alarm

https://gerrit.wikimedia.org/r/381955

Change 381955 merged by Elukey:
[operations/puppet@production] profile::kafka::broker::monitoring: attempt to fix prometheus alarm

https://gerrit.wikimedia.org/r/381955

Change 381957 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] check_prometheus_metrics.cfg: correct command name

https://gerrit.wikimedia.org/r/381957

Change 381957 merged by Elukey:
[operations/puppet@production] check_prometheus_metrics.cfg: correct command name

https://gerrit.wikimedia.org/r/381957

Change 381965 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] monitoring::check_prometheus: fix ordering of arguments

https://gerrit.wikimedia.org/r/381965

Change 381965 merged by Elukey:
[operations/puppet@production] monitoring::check_prometheus: fix ordering of arguments

https://gerrit.wikimedia.org/r/381965

Change 385153 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] prometheus::jmx_exporter_instance: use hostname rather than title

https://gerrit.wikimedia.org/r/385153

Change 385153 merged by Elukey:
[operations/puppet@production] prometheus::jmx_exporter_instance: use hostname rather than title

https://gerrit.wikimedia.org/r/385153

Ottomata moved this task from In Progress to Done on the Analytics-Kanban board.Oct 19 2017, 3:04 PM
Nuria closed this task as Resolved.Oct 24 2017, 11:30 PM